<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                New Attribute Item
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

            <div class="w-full mb-2">
                <mat-form-field class="w-1/2">
                    <mat-label>IFS Table Name</mat-label>
                    <mat-select [value]="1">
                        <mat-option [value]="1">Delivery Address</mat-option>
                        <mat-option [value]="2">Purchase Type</mat-option>
                    </mat-select>
                    <!-- <mat-error>
                        <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                    </mat-error> -->
                </mat-form-field>
            </div>
            <!--table component-->
            <div class="srm-bg mb-4 rounded-lg rounded-t-none">
                <div class="p-6">

                    <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                        <div class="mr-4">
                            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                <div class="text-secondary px-4" matPrefix>Value</div>
                                <input matInput placeholder="Search by Value" #input>
                            </mat-form-field>
                            <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                <div class="text-secondary px-4" matPrefix>Description</div>
                                <input matInput placeholder="Search by Description" #input>
                            </mat-form-field>

                        </div>

                        <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                            <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                            <span class="mr-8 ml-4">Search</span>
                        </button>
                    </div>

                </div>

            </div>

            <!--base table component-->
            <div class="overflow-auto bg-gray-50 rounded-lg">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px"></th>
                        <td mat-cell *matCellDef="let row">
                            <mat-checkbox [color]="'primary'"></mat-checkbox>
                        </td>
                    </ng-container>

                    <!-- Name Item -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 110px">
                            Table Name
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
                    </ng-container>

                    <!-- value Column -->
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 140px">
                            Value
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.value}} </td>
                    </ng-container>

                    <!-- description Column -->
                    <ng-container matColumnDef="description">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px">
                            Value Description
                        </th>
                        <td mat-cell *matCellDef="let row">
                            {{row.description}}
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <div class="flex justify-end">
                <mat-paginator class="flex text-lg" [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
            </div>
            <!--table component end-->


                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-stroked-button [color]="'primary'" type="button">
                <span class="mx-4">Previous</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
